{
  "AllowedHosts": "*",
  "CallCenterConfiguration": {
    "CallCenterType": "WeiErXin", //XunShi、WeiErXin、TianRun
    "DeviceConfigs": {
      "Address": "http://192.168.100.100/xml",
      "Authorize": true,
      "ReceiveKey": "E1BBD1BB-A269-44",
      "SendKey": "2A-BA92-160A3B1D",
      "Expired": 86300 //认证过期时间（秒）
    },
    "Wex": {
      "Address": "http://222.212.82.225:8083",
      "Username": "admin",
      "Password": "Wex@12345"
    }
  },
  "ConnectionStrings": {
    "Hotline": "PORT=5432;DATABASE=hotline;HOST=110.188.24.182;PASSWORD=fengwo11!!;USER ID=dev;",
    "Redis": "110.188.24.182:50179",
    "MongoDB": "mongodb://192.168.100.121:27017",
    "Wex": "server=222.212.82.225;Port=4509;Database=fs_kft;Uid=root;Pwd=Wex@12345;"
  },
  "Cache": {
    "Host": "110.188.24.182",
    "Port": 50179,
    //"Password": "fengwo22@@",
    "Database": 3 //release:3, dev:5
  },
  "Swagger": true,
  "Cors": {
    "Origins": [ "http://localhost:8888", "http://admin.hotline.fw.com", "http://localhost:80","http://localhost:8113" ]
  },
  "IdentityConfiguration": {
    "Password": {
      "RequiredLength": 8,
      "RequireNonAlphanumeric": true,
      "RequireLowercase": true,
      "RequireUppercase": true
    },
    "User": {
      "RequireUniqueEmail": false
    },
    "SignIn": {
      "RequireConfirmedAccount": false
    },
    "Lockout": {
      "MaxFailedAccessAttempts": 5,
      "DefaultLockoutTimeSpan": "00:10:00"
    },
    "Account": {
      "DefaultPassword": "Fwkj@789"
    },
    "Jwt": {
      "SecretKey": "e660d04ef1d3410798c953f5d7b8a4e1",
      "Issuer": "hotline_server",
      "Audience": "hotline",
      "Scope": "hotline_api",
      "Expired": 86400 //seceonds
    }
  },
  "DatabaseConfiguration": {
    "ApplyDbMigrations": false,
    "ApplySeed": false
  },
  "MqConfiguration": {
    "DbConnectionString": "PORT=5432;DATABASE=fwmq;HOST=110.188.24.182;PASSWORD=fengwo11!!;USER ID=dev;",
    "UseDashBoard": true,
    "RabbitMq": {
      "UserName": "dev",
      "Password": "123456",
      "HostName": "110.188.24.182",
      "VirtualHost": "fwt-master"
    }
  },
  "SmsAccountInfo": {
    "MessageServerUrl": "http://webservice.fway.com.cn:1432/FWebService.asmx/FWay_Service", //短信发送地址
    "AccountUser": "CS12345", //短信系统账号
    "AccountPwd": "9EE3899305A8FC97D6146CAC6B802E6F", //短信系统密码
    "ReturnAccountUser": "fwkj", //短信回传账号
    "ReturnAccountPwd": "fwkj12" //短信回传密码
  },
  "FwClient": {
    "ClientId": "hotline",
    "ClientSecret": "08db29cc-0da0-4adf-850c-1b2689bd535d"
  },
  "ConfigCenter": {
    "ServerAddresses": [ "http://110.188.24.28:8848" ],
    "Namespace": "17503980-9b0d-4d3e-8e35-c842c41fb888", //debug
    "ServiceName": "hotline"
  },
  "Tr": {
    //"Address": "http://internal.ttf-cti.com:8080",
    //"Username": "yscs",
    //"Password": "123456",
    "Address": "http://222.213.23.229:29003/",
    "Username": "root",
    "Password": "12345678aa",
    "Ip": "222.213.23.229"
  },
  "ChannelConfiguration": {
    //省12345配置
    "Province": {
      "HuiJu": "http://103.203.219.157/cns-sccthj-job-test/rest/",
      "XieTong": "http://103.203.219.157/cns-scxthj-rest-test/rest/",
      "ClientId": "6384f475-2e1e-4985-9e34-51a3379452d0",
      "ClientSecret": "3e92b698-d640-4056-be94-128710ac1a7e"
    },
    //企业服务
    "Enterprise": {
      "AddressUrl": "http://10.12.185.227:8834/",
      "ClientId": "1462598736",
      "ClientSecret": "6nZtVK4rKfnsncGymUHB",
      "TenantId": "000000"
    },
    //市州数据交换
    "CityHandOver": {
      "SecretKey": "AA9FF92A-5040-442A-BDFF-A50AD536BF3D",
      "SendCityName": "宜宾",
      "ReceiveCityName": "泸州",
      "BaseUrl": "http://localhost:6028/",
      "UrlAddress": "CityHandOver.asmx/FlowWrite"
    },
    //融媒体
    "MediaCode": {
      "MediaCode": "FWYB0828"
    },
    //系统市州编码
    "CityCode": {
      "AreaCode": "511500"
    },
    "WebPortal": {
     // "SystemSettingsTheme": "class=gray2",
      "SystemSettingsTheme": ""
    },
    //业务系统附件上传配置
    "BusinessFile": {
      "BaseUrl": "http://open.fs.12345lm.cn/",
      "UploadUrlAddress": "file/upload",
      "DownloadUrlAddress": "file/downloadfile",
      "Source": "数据共享系统"
    },
    //110对接
    "PoliceDS": {
      //1、非警情分流推送服务_宜宾市
      //   receive-工单受理
      //   http://10.12.185.168:8001/service/api/ds/110To12345/chainAlarm
      "token1_token": "b8aae0a998f5b79c9a35aecb888e1a58",
      "token1_dcsm": "c9bc4e718d1917a9a68add90fecbe5bb60920e5ab85d9ecb6a6167db4352f42b8ae21ac67a6e2aab48b4c99cd9f93ec5fb017e202df969a91f74456c14e8770a",
      "token1_sm2_public": "BS/H9JVlRdo8vbsZYQLTkeGGZBVjdkX+VJ82CX7n6i4NubmynRIaxvzoSsEAhbbvTDGm2DS96l95nK6Dkd0UZg==",
      "token1_sm2_private": "GbjU4GFk0yaa/wTdzxeh5BOh8VNlqvnTcb7EUtDVvOY=",
      "token1_sm4": "BKrW/v4jeRgsFg3HSbxEKnDi6rPceW0AdRiaa1rhEwAnraf8MnHdXzUQoQ7+zyjfghaK5G+zDz+wW+Ob27Jgxt91HkVmyL6+SjqV9ZnqNeGFgTBkQrHDySGz6jHKa12Sv7PZs8pjc716he3NNHZAkCI=",
      "token1_sm4_mw": "4034d80c19bbd01d",

      //4、警务警情分流推送服务_宜宾市
      //   receive-工单办结
      //   http://10.12.185.168:8001/service/api/ds/110To12345/chainDeal
      "token4_token": "8806bfba29b997853bdb059a9ba9a3ae",
      "token4_dcsm": "f5dce079e0f4acd6b6627b89fb5e72af5fa5775d3ee3b8c7876f546c5ebe723888df4a70c09f9aa5e096bb342d73e0c4793c851a7a8035e8683b07430f132bd3",
      "token4_sm2_public": "P2IVWpFx38GQTDV3hgrxjlOdfPhLQNW2LyvAKmYqMz9UYHCtm/l3K73UIouMXs4jcmZjXyItepvKFv44g3YnXA==",
      "token4_sm2_private": "yxIkRALHoOTxpiZ/jrvCDQatcR7k11Xhps7c92peU9w=",
      "token4_sm4": "BCD88AXnIfMxe8PrUcubSbFRr07cOuDDEPzy754W3CzhOqjcpAcu1B9B6U46jyM4hEFPqkx+SS1PUAfRlG5tzYD1Z8SKsJTBUDGR6bTMRvCc+C/aps+IcRBfzjjRchtT1c5iok4CfiT4LoK5cmOHKKU=",
      "token4_sm4_mw": "d731ff1282dda792",

      //3、警务警情分流查询服务_宜宾市
      //   send-工单受理
      //   http://10.12.185.168:8001/service/api/ds/12345To110/chainAlarm
      "token3_token": "b76ba1896c4880998a86b829cf79888a",
      "token3_dcsm": "3cccc86e021c0ff7827537053ec1b6e4a57cbb49b77c9492257123703c5a6b711000f0842c035fe6d33eb2a947915af53a1ef501916ec7128bff9514d6184e2c",
      "token3_sm2_public": "qaao4Xh8/eyYGeVOj1K8D7p3+OriP55azWDAbYVoZelMdluNrJuQWM2qPn+hjTHTBnIMAVK2HlHBx4oGfCxGdA==",
      "token3_sm2_private": "8bSYM8P3b4I94qGt3XVx3bQddNCy/xVKo7o1b5LI4/M=",
      "token3_sm4": "BIDhFaEu5NILR7byg/JfaPlJEm4dYWC+u9J1IqhtYeYY1AktOxp7cZWqfk/mWjw72pYGT7YRENCULbjZ2bxVG6UUv2pYukZWtYog34Vicu5IgC8ti4VpED9eGzGgtKJ/CT0KtAnjQPQL0PsVbCjTY5M=",
      "token3_sm4_mw": "bbeb56d247354360",

      //2、非警情分流查询服务_宜宾市
      //   send-工单办结
      //   http://10.12.185.168:8001/service/api/ds/12345To110/chainDeal
      "token2_token": "1fbbac1b09b89d11bc569168aabb3c8b",
      "token2_dcsm": "3873c1b1ff0ce3b8120d63509d3b85169cda4856b0a0d89625a4744641a343951d8ced868bd5c7fc60826403bd6314a02e5a26ba8808dae5a9d9f851555338d0",
      "token2_sm2_public": "VgjJ7FfA23vY3Hr1pVrdbi3MZt7X0k/nMf9kwEyyC32CXgT2ccWBlxf3kGPXLO56HSBoo9IA7sSEG3eJYVQmLw==",
      "token2_sm2_private": "QNTPy2nPBe2JY308G0LHO4r42iomDWcdedf81FapkWA=",
      "token2_sm4": "BKNpLwBCT2MvXwhLRcZ6FoMm4GaXs6LXqVmEa5hMJ3d9G+vC/5j7xtQh9HRKIfSfXkDQI0EQS7UR4inEXks/AnKsLYGhmhRjyzM7AGpEsujr2vJTwcwIWpBmpuc7k0uBQ34bN+kopafIo5UVyk7rIek=",
      "token2_sm4_mw": "2938d7acb2754a09",

      //5、从公安网侧获取12345政务服务热线平台知识库列表
      //   send-知识库列表
      //   http://10.12.185.168:8001/service/api/ds/get_knowledge_info
      "token5_token": "1fbbac1b09b89d11bc569168aabb3c8b",
      "token5_dcsm": "3873c1b1ff0ce3b8120d63509d3b85169cda4856b0a0d89625a4744641a343951d8ced868bd5c7fc60826403bd6314a02e5a26ba8808dae5a9d9f851555338d0",
      "token5_sm2_public": "VgjJ7FfA23vY3Hr1pVrdbi3MZt7X0k/nMf9kwEyyC32CXgT2ccWBlxf3kGPXLO56HSBoo9IA7sSEG3eJYVQmLw==",
      "token5_sm2_private": "QNTPy2nPBe2JY308G0LHO4r42iomDWcdedf81FapkWA=",
      "token5_sm4": "BKNpLwBCT2MvXwhLRcZ6FoMm4GaXs6LXqVmEa5hMJ3d9G+vC/5j7xtQh9HRKIfSfXkDQI0EQS7UR4inEXks/AnKsLYGhmhRjyzM7AGpEsujr2vJTwcwIWpBmpuc7k0uBQ34bN+kopafIo5UVyk7rIek=",
      "token5_sm4_mw": "2938d7acb2754a09",

      //6、从公安网侧获取12345政务服务热线平台知识内容
      //   send-知识库内容
      //   http://10.12.185.168:8001/service/api/ds/get_knowledge_content
      "token6_token": "1fbbac1b09b89d11bc569168aabb3c8b",
      "token6_dcsm": "3873c1b1ff0ce3b8120d63509d3b85169cda4856b0a0d89625a4744641a343951d8ced868bd5c7fc60826403bd6314a02e5a26ba8808dae5a9d9f851555338d0",
      "token6_sm2_public": "VgjJ7FfA23vY3Hr1pVrdbi3MZt7X0k/nMf9kwEyyC32CXgT2ccWBlxf3kGPXLO56HSBoo9IA7sSEG3eJYVQmLw==",
      "token6_sm2_private": "QNTPy2nPBe2JY308G0LHO4r42iomDWcdedf81FapkWA=",
      "token6_sm4": "BKNpLwBCT2MvXwhLRcZ6FoMm4GaXs6LXqVmEa5hMJ3d9G+vC/5j7xtQh9HRKIfSfXkDQI0EQS7UR4inEXks/AnKsLYGhmhRjyzM7AGpEsujr2vJTwcwIWpBmpuc7k0uBQ34bN+kopafIo5UVyk7rIek=",
      "token6_sm4_mw": "2938d7acb2754a09"
    }
  },
  //智能回访
  "AiVisit": {
    "Url": "http://118.122.73.80:19061",
    "Appkey": "MTAwMDAx",
    "ServiceVersion": "V1.0.0", //接口版本号
    //"SceneUid": "MTAwMDAxVW7cUNRwRegsLGqb0pvXCU", //场景ID
    //"RuleUid": "MTAwMDAxUbQsuOcmS5ApRyHGyWQr7g", //现有规则ID
    //"VisitFromNameKey": "OC_SCENE_VAR_FIELD14", //来电名称       //开发环境 :OC_SCENE_VAR_FIELD14  //生产环境：OC_SCENE_VAR_FIELD12
    //"VisitFromGenderKey": "OC_SCENE_VAR_FIELD13", //来电性别     //开发环境: OC_SCENE_VAR_FIELD13   //生产环境：OC_SCENE_VAR_FIELD14
    //"VisitCreationTimeKey": "OC_SCENE_VAR_FIELD15", //来电时间   //开发环境:OC_SCENE_VAR_FIELD15    //生产环境：OC_SCENE_VAR_FIELD19
    //"VisitOrderTitleKey": "OC_SCENE_VAR_FIELD16", //工单标题      //开发环境:OC_SCENE_VAR_FIELD16    //生产环境：OC_SCENE_VAR_FIELD20
    //"VisitIsCallOrder": "OC_SCENE_VAR_FIELD17", //是否来电工单 //开发环境：OC_SCENE_VAR_FIELD17          //生产环境：
    ////"QuestionIdOne": "MTAwMDAxK1F9Qnu-QXYolr9JoOI8fM", //服务过程满意度 //开发环境：MTAwMDAxK1F9Qnu-QXYolr9JoOI8fM  //生产环境：MTAwMDAxvgT-2PoYRR8pxyL4p8AJsM
    //"QuestionIdZone": "MTAwMDAxvpXEOVcRQR0meGKouw6oXU", //是否联系  //开发环境:MTAwMDAxvpXEOVcRQR0meGKouw6oXU    //测试环境：
    //"QuestionIdOne": "MTAwMDAxP2AJqUCvTU4jsgzvRkADVo", //是否解决 , //开发环境：MTAwMDAxP2AJqUCvTU4jsgzvRkADVo   //生产环境：
    //"QuestionIdTwo": "MTAwMDAx_mLpLD0hSyosIwvgW-byjg", //办件结果满意度 //开发环境：MTAwMDAx_mLpLD0hSyosIwvgW-byjg  //生产环境：MTAwMDAxhIyRJzpwTskpsiXPD-uwl0
    //"QuestionIdThree": "MTAwMDAxos3PXU5TTzEnXMSU8GeApc", //坐席是否满意  //开发环境：  //生产环境：
    //"VisitContentIdOne": "reason1", //办件结果不满意原因 // 开发环境：NotSat2   //生产环境：NotSat2
    //"VisitContentIdTwo": "reason2", //坐席不满意原因  // 开发环境：    //生产环境：
  },
  //智能质检
  "AiQuality": {
    "Url": "http://118.122.73.80:19072/"
  },
  //企业服务
  "Enterprise": {
    "AddressUrl": "http://10.12.185.227:8834/",
    "ClientId": "1462598736",
    "ClientSecret": "6nZtVK4rKfnsncGymUHB",
    "TenantId": "000000"
  }


}
